VkImagePipeSurfaceCreateInfoFUCHSIA Struct Reference

`#include <vulkan_fuchsia.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkImagePipeSurfaceCreateFlagsFUCHSIA | flags
zx_handle_t | imagePipeHandle

## Detailed Description

Definition at line 36 of file vulkan_fuchsia.h.

## Field Documentation

## flags

VkImagePipeSurfaceCreateFlagsFUCHSIA VkImagePipeSurfaceCreateInfoFUCHSIA::flags

Definition at line 39 of file vulkan_fuchsia.h.

## imagePipeHandle

zx_handle_t VkImagePipeSurfaceCreateInfoFUCHSIA::imagePipeHandle

Definition at line 40 of file vulkan_fuchsia.h.

## pNext

const void* VkImagePipeSurfaceCreateInfoFUCHSIA::pNext

Definition at line 38 of file vulkan_fuchsia.h.

## sType

VkStructureType VkImagePipeSurfaceCreateInfoFUCHSIA::sType

Definition at line 37 of file vulkan_fuchsia.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_fuchsia.h